--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: body
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: error_message
  rw: W
- !ruby/object:RI::Attribute 
  comment: 
  name: session
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: activate!
- !ruby/object:RI::MethodSummary 
  name: after_authentication
- !ruby/object:RI::MethodSummary 
  name: customize_default
- !ruby/object:RI::MethodSummary 
  name: default_customizations
- !ruby/object:RI::MethodSummary 
  name: default_strategy_order=
- !ruby/object:RI::MethodSummary 
  name: lookup_strategy
- !ruby/object:RI::MethodSummary 
  name: maintain_session_keys
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: register
- !ruby/object:RI::MethodSummary 
  name: reset_strategy_lookup!
comment: 
- !ruby/struct:SM::Flow::P 
  body: These are not intended to be used directly
constants: []

full_name: Merb::Authentication
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Hook
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: abandon!
- !ruby/object:RI::MethodSummary 
  name: authenticate!
- !ruby/object:RI::MethodSummary 
  name: authenticated?
- !ruby/object:RI::MethodSummary 
  name: error_message
- !ruby/object:RI::MethodSummary 
  name: errors
- !ruby/object:RI::MethodSummary 
  name: fetch_user
- !ruby/object:RI::MethodSummary 
  name: halt!
- !ruby/object:RI::MethodSummary 
  name: halted?
- !ruby/object:RI::MethodSummary 
  name: headers
- !ruby/object:RI::MethodSummary 
  name: headers=
- !ruby/object:RI::MethodSummary 
  name: redirected?
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: status=
- !ruby/object:RI::MethodSummary 
  name: store_user
- !ruby/object:RI::MethodSummary 
  name: user
- !ruby/object:RI::MethodSummary 
  name: user=
name: Authentication
superclass: Object
